/*
 * Copyright (c) 2004 Nokia
 * Author: valtteri.rahkonen@movial.fi
 *
 * Based on sb_gcc_wrapper by Timo Savola
 *
 * Licensed under GPL, see COPYING for details.
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <libgen.h>
#include <linux/limits.h>

char *get_version(char *name)
{
    char *ver;

    if ((ver = strstr(name, "1.4"))||(ver = strstr(name, "1.7"))||
        (ver = strstr(name, "1.8"))||(ver = strstr(name, "1.9")))
        return ver;

    return NULL;
}

int main(int argc, char **argv)
{
    char *name = basename(argv[0]);
    char *env = getenv("SBOX_DEFAULT_AUTOMAKE");
    char prog[PATH_MAX], *new_arg[argc+1], *ver;
    int i;

    if ((ver = get_version(name))) {
        sprintf(prog, "/scratchbox/devkits/autotools-legacy/autotools/automake-%s/bin/%s",
                ver, name);
    } else {
        if (env)
            sprintf(prog, "/scratchbox/devkits/autotools-legacy/autotools/automake-%s/bin/%s",
                    env, name);
        else
            sprintf(prog, "/scratchbox/devkits/autotools-legacy/autotools/automake-1.8/bin/%s",
                    name);        
    }

    new_arg[0] = prog; 

    for (i = 1; i < argc; i++)
        new_arg[i] = argv[i];
    
    new_arg[argc] = NULL;
    
    execv(prog, new_arg);

    return 0;
}
